import request from '@/utils/request'

// 查询选科分数列表
export function listMxjbSelectedScore(query) {
  return request({
    url: '/front/selected/score/list',
    method: 'get',
    params: query
  })
}

// 查询选科分数详细
export function getMxjbSelectedScore(id) {
  return request({
    url: '/front/selected/score/' + id,
    method: 'get'
  })
}

// 新增选科分数
export function addMxjbSelectedScore(data) {
  return request({
    url: '/front/selected/score',
    method: 'post',
    data: data
  })
}

// 修改选科分数
export function updateMxjbSelectedScore(data) {
  return request({
    url: '/front/selected/score',
    method: 'put',
    data: data
  })
}

// 删除选科分数
export function delMxjbSelectedScore(id) {
  return request({
    url: '/front/selected/score/' + id,
    method: 'delete'
  })
}

// 下载导入模板
export function importTemplate() {
  return request({
    url: '/front/selected/score/importTemplate',
    method: 'get'
  })
}

// 导出选科分数
export function exportMxjbSelectedScore(query) {
  return request({
    url: '/front/selected/score/export',
    method: 'get',
    params: query
  })
}
